Subject: Re: Sockets hang in FIN_WAIT1 state in linux 2.2.5

From: Martin Pool <[email-masked]>
Date: Sat, 11 Jun 2005 12:03:48 +1000

On 10 Jun 2005, Pavan K <[email-masked]> wrote:
> Hi,
> This is Pavan from India, a s/w engineer stuck in a TCP problem. We have a
> legendary linux 2.2.5 kernel (redhat ) system which cant be replaced in my
> company. I have noticed that my server stops ACK ing the SYN packets after some
> time . Also when i netstat i can see lots of sockets hung in FIN_WAIT1 state.
> Upon googling, I found ur mails in the mailing list. Sounds that you too had
> similar problems.
> So please suggest me any solution to this problem if you have. I am in a
> critical stage to fix this bug. I cant upgrade my system to newer kernel since
> it needs lot of code porting.

I've heard similar reports from people running distcc on 2.2 kernels;
after a long time the machine stops accepting new connections.  If you
can't upgrade the kernel your options are very limited: either work
out the precise patch, or reboot your machines regularly.  The second
is probably easier.

-- 
Martin